/// <reference types="node" />
import stream from 'stream';
import { analyzer } from '@moneyforward/code-review-action';
import { CommandConstructor, SpawnPrguments } from '@moneyforward/command';
import StaticCodeAnalyzer from '@moneyforward/sca-action-core';
declare type AnalyzerConstructorParameter = analyzer.AnalyzerConstructorParameter;
export declare type Result = {
    filename: string;
    line_number: string;
    message: string;
}[];
export default abstract class Analyzer extends StaticCodeAnalyzer {
    private static readonly command;
    private static buildOutputFileOptions;
    constructor(...args: AnalyzerConstructorParameter[]);
    protected prepare(): Promise<void>;
    protected createTransformStreams(): stream.Transform[];
    protected get Command(): CommandConstructor;
    protected pipeline(stdout: stream.Readable | null, writable: stream.Writable, ...[, args]: SpawnPrguments): Promise<[stream.Readable, ...stream.Writable[]]>;
}
export {};
//# sourceMappingURL=index.d.ts.map